Subject: Re: [PATCH] vlan: Make it possible to add vlan with id 4095

From: Paulius Zaleckas <[email-masked]>
Date: Fri, 28 Sep 2012 16:29:51 +0300

On 09/28/2012 03:32 PM, Paulius Zaleckas wrote:
> vconfig help tells that vlan_id should be 0-4095, but fails
> with 4095.
>
> There is an off-by-one bug while evaluating vlan_id.
> Fix it by evaluating against count(4096), not mask(0x0fff = 4095).

On the other hand 4095 is reserved by 802.1Q...

http://en.wikipedia.org/wiki/IEEE_802.1Q
VLAN Identifier (VID): a 12-bit field specifying the VLAN to which the 
frame belongs. The hexadecimal values of 0x000 and 0xFFF are reserved. 
All other values may be used as VLAN identifiers, allowing up to 4,094 
VLANs. The reserved value 0x000 indicates that the frame does not belong 
to any VLAN; in this case, the 802.1Q tag specifies only a priority and 
is referred to as a priority tag.

So maybe we should fix vconfig help?